Bug 780095 - (SOA-2463) JON Plug-In: Wrong description used for ESB Service Entities
JON Plug-In: Wrong description used for ESB Service Entities
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0.ER3
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-22 12:29 EDT by Larry O'Leary
Modified: 2011-02-12 08:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON Plug-In deployed in JON 2.4 JON Plug-In deployed in SOA-P 5.0.0 (admin-console) JON Plug-In deployed in SOA-P 5.0.2 (admin-console)
Last Closed: 2011-02-12 08:25:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2463 None None None Never

  None (edit)
Description Larry O'Leary 2010-10-22 12:29:33 EDT
Help Desk Ticket Reference: https://na7.salesforce.com/500A0000003hSlT
Steps to Reproduce:    1) Install and setup a stock SOA-P instance:
      JBOSS_HOME='/opt/jboss/soa-p/jboss-soa-p.5.0.2/jboss-as'
      sed -i 's/^.*admin=admin$/admin=admin/g' "${JBOSS_HOME}"/server/*/conf/props/soa-users.properties
      
   2) Start the SOA-P instance:
      cd "${JBOSS_HOME}"/bin && ./run.sh -c default -b 0.0.0.0

   3) Connect to admin-console: http://localhost:8080/admin-console
   
   4) From left navigation tree, expand and select: <host> -> JBossAS Servers -> JBoss AS 5 (default) -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> DeadLetterService Service
      Note Summary >> General Properties >> Description: Scheduled Service to Redeliver Messages

   5) From left navigation tree, expand and select: <host> -> JBossAS Servers -> JBoss AS 5 (default) -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> RedeliverService Service
      Note Summary >> General Properties >> Description: Scheduled Service to Redeliver Messages  (same as above)

   6) Note description attribute from the deployment descriptor:
      grep -C2 'name="DeadLetterService"' "${JBOSS_HOME}"/server/default/deploy/jbossesb.esb/META-INF/jboss-esb.xml
      grep -C2 'name="RedeliverService"' "${JBOSS_HOME}"/server/default/deploy/jbossesb.esb/META-INF/jboss-esb.xml
project_key: SOA

Viewing an ESB service entity in admin-console shows the same description for all services within a service deployment. For example:

<host> -> JBossAS Servers -> JBoss AS 5 (default) -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> DeadLetterService Service

- and -

<host> -> JBossAS Servers -> JBoss AS 5 (default) -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> RedeliverService Service

Show the same description. In this case the description shown is for the RedeliverService Service.
Comment 1 Larry O'Leary 2010-10-22 12:31:34 EDT
Link: Added: This issue depends JBESB-3520
Comment 2 Larry O'Leary 2010-10-22 12:32:59 EDT
See diff patch attached to up-stream JBESB-3520
Comment 3 Kevin Conner 2010-10-22 14:19:47 EDT
A JON plugin bug within ESB
Comment 4 Laura Bailey 2010-12-16 19:41:22 EST
Writer: Added: Darrin
Comment 5 Laura Bailey 2010-12-16 19:48:00 EST
Release Notes Docs Status: Added: Not Yet Documented
Comment 7 Paul Nittel 2011-02-09 10:52:03 EST
Tested with ER9 and closed.
Comment 8 Laura Bailey 2011-02-12 08:21:54 EST
Reopening to add a release note. Will set back to Closed -> Done shortly.
Comment 9 Laura Bailey 2011-02-12 08:25:31 EST
Documenting as a Resolved Issue and setting back to Closed -> Done.
Comment 10 Laura Bailey 2011-02-12 08:25:31 EST
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3520

When an ESB service entity was viewed with the Admin Console, the same description was shown for all ESB services in a service deployment. The code that gathered the descriptions has been modified so that the correct descriptions are shown.

Note You need to log in before you can comment on or make changes to this bug.